Skip to main content
DELETE
/
api
/
v3
/
store
/
orders
/
{order_id}
/
store_credits
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const order = await client.store.orders.removeStoreCredit('or_abc123', {
  bearerToken: '<token>',
})
{
  "id": "or_UkLWZg9DAJ",
  "number": "R215300548",
  "state": "cart",
  "checkout_steps": [
    "address",
    "delivery",
    "payment",
    "complete"
  ],
  "token": "neuK7hLBZyXTziFn1Urac5hZ7DtRaqsc9bL",
  "email": "kami@brakus.co.uk",
  "special_instructions": null,
  "currency": "USD",
  "locale": "en",
  "item_count": 1,
  "state_lock_version": 1,
  "shipment_state": null,
  "payment_state": null,
  "item_total": "10.0",
  "display_item_total": "$10.00",
  "ship_total": "100.0",
  "display_ship_total": "$100.00",
  "adjustment_total": "0.0",
  "display_adjustment_total": "$0.00",
  "promo_total": "0.0",
  "display_promo_total": "$0.00",
  "tax_total": "0.0",
  "display_tax_total": "$0.00",
  "included_tax_total": "0.0",
  "display_included_tax_total": "$0.00",
  "additional_tax_total": "0.0",
  "display_additional_tax_total": "$0.00",
  "total": "110.0",
  "display_total": "$110.00",
  "completed_at": null,
  "created_at": "2026-03-05T20:52:45.533Z",
  "updated_at": "2026-03-05T20:52:45.585Z",
  "order_promotions": [],
  "line_items": [
    {
      "id": "li_UkLWZg9DAJ",
      "variant_id": "variant_UkLWZg9DAJ",
      "quantity": 1,
      "currency": "USD",
      "name": "Product 1111640",
      "slug": "product-1111640",
      "options_text": "",
      "price": "10.0",
      "display_price": "$10.00",
      "total": "10.0",
      "display_total": "$10.00",
      "adjustment_total": "0.0",
      "display_adjustment_total": "$0.00",
      "additional_tax_total": "0.0",
      "display_additional_tax_total": "$0.00",
      "included_tax_total": "0.0",
      "display_included_tax_total": "$0.00",
      "promo_total": "0.0",
      "display_promo_total": "$0.00",
      "pre_tax_amount": "10.0",
      "display_pre_tax_amount": "$10.00",
      "discounted_amount": "10.0",
      "display_discounted_amount": "$10.00",
      "display_compare_at_amount": "$0.00",
      "created_at": "2026-03-05T20:52:45.564Z",
      "updated_at": "2026-03-05T20:52:45.564Z",
      "compare_at_amount": null,
      "thumbnail_url": null,
      "option_values": [],
      "digital_links": []
    }
  ],
  "shipments": [
    {
      "id": "ship_UkLWZg9DAJ",
      "number": "H43034632735",
      "state": "pending",
      "tracking": "U10000",
      "tracking_url": null,
      "cost": "100.0",
      "display_cost": "$100.00",
      "shipped_at": null,
      "created_at": "2026-03-05T20:52:45.569Z",
      "updated_at": "2026-03-05T20:52:45.583Z",
      "shipping_method": {
        "id": "shpm_UkLWZg9DAJ",
        "name": "UPS Ground",
        "code": "UPS_GROUND"
      },
      "stock_location": {
        "id": "sloc_UkLWZg9DAJ",
        "state_abbr": "STATE_ABBR_322",
        "name": "Barbie DuBuque",
        "address1": "1600 Pennsylvania Ave NW",
        "city": "Washington",
        "zipcode": "20500",
        "country_iso": "US",
        "country_name": "United States of America",
        "state_text": "STATE_ABBR_322"
      },
      "shipping_rates": [
        {
          "id": "shpr_UkLWZg9DAJ",
          "shipping_method_id": "shpm_UkLWZg9DAJ",
          "name": "UPS Ground",
          "selected": true,
          "cost": "100.0",
          "display_cost": "$100.00",
          "shipping_method": {
            "id": "shpm_UkLWZg9DAJ",
            "name": "UPS Ground",
            "code": "UPS_GROUND"
          }
        }
      ]
    }
  ],
  "payments": [],
  "bill_address": {
    "id": "addr_EfhxLZ9ck8",
    "firstname": "John",
    "lastname": "Doe",
    "full_name": "John Doe",
    "address1": "314 Lovely Street",
    "address2": "Northwest",
    "city": "Herndon",
    "zipcode": "35005",
    "phone": "555-555-0199",
    "company": "Company",
    "country_name": "United States of America",
    "country_iso": "US",
    "state_text": "STATE_ABBR_324",
    "state_abbr": "STATE_ABBR_324",
    "quick_checkout": false,
    "state_name": "STATE_NAME_324"
  },
  "ship_address": {
    "id": "addr_VqXmZF31wY",
    "firstname": "John",
    "lastname": "Doe",
    "full_name": "John Doe",
    "address1": "315 Lovely Street",
    "address2": "Northwest",
    "city": "Herndon",
    "zipcode": "35005",
    "phone": "555-555-0199",
    "company": "Company",
    "country_name": "United States of America",
    "country_iso": "US",
    "state_text": "STATE_ABBR_325",
    "state_abbr": "STATE_ABBR_325",
    "quick_checkout": false,
    "state_name": "STATE_NAME_325"
  },
  "payment_methods": []
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
required
x-spree-order-token
string

Path Parameters

order_id
string
required

Response

200 - application/json

store credit removed

id
string
required
number
string
required
state
string
required
checkout_steps
string[]
required
token
string
required
email
string | null
required
special_instructions
string | null
required
currency
string
required
locale
string | null
required
item_count
number
required
state_lock_version
number
required
shipment_state
string | null
required
payment_state
string | null
required
item_total
string
required
display_item_total
string
required
ship_total
string
required
display_ship_total
string
required
adjustment_total
string
required
display_adjustment_total
string
required
promo_total
string
required
display_promo_total
string
required
tax_total
string
required
display_tax_total
string
required
included_tax_total
string
required
display_included_tax_total
string
required
additional_tax_total
string
required
display_additional_tax_total
string
required
total
string
required
display_total
string
required
completed_at
string | null
required
created_at
string
required
updated_at
string
required
order_promotions
object[]
required
line_items
object[]
required
shipments
object[]
required
payments
object[]
required
bill_address
object
required
ship_address
object
required
payment_methods
object[]
required